Safari LogoIf you rely on 1Password daily and does not want to use beta class software, I would NOT recommend installing the final release of Safari that Apple released last night (HKT). The Safari 4.0 final version broke the 1Password plugin for Safari and the previous hack does not work.

The 1Password veresion that works with this version of Safari is the latest 2.9.19 beta 2 (build 7499), which according to the developers is a "final candidate". So if you're not the type who is comfortable using beta software, then you should not have too long to wait before 1Password 2.9.19 final is released.

[Update: June 9, 11:27 HKT] Just received an update from Agile Web Solutions, they had finalized 2.9.19 and brought it out of Beta status. So it is now safe to upgrade to Safari 4.0 even if you use 1Password.

Posted
AuthorVinko